<template>
  <v-app>
    <v-toolbar flat dark class="hidden-md-and-up my-top-navbar" max-height="56">
      <v-spacer />

      <router-link class="d-flex justify-center align-center" to="/news">
        <v-img src="@/assets/juwenaliaslupsk-logo.png" contain max-height="50" />
      </router-link>

      <v-spacer />
    </v-toolbar>

    <nav-bar-top class="hidden-sm-and-down" />

    <v-content class="grey lighten-2">
      <router-view />
    </v-content>

    <nav-bar-bottom class="hidden-md-and-up" />
    <v-snackbar :timeout="4000" v-model="snackbarShow" :top="true" :vertical="true" :color="isOnline ? 'success' : 'error'"
      >{{ snackbarMessage
      }}<v-btn dark text @click="snackbarShow = false">
        Zamknij
      </v-btn></v-snackbar
    >
    <v-snackbar />
  </v-app>
</template>

<script>
import Vue from 'vue'
import NavBarBottom from '@c/NavBarBottom'
import NavBarTop from '@c/NavBarTop'

export default Vue.extend({
  data() {
    return {
      isOnline: false,
      snackbarShow: false,
    }
  },
  computed: {
    snackbarMessage() {
      return this.isOffline ? 'Jesteś online' : 'Jesteś offline, informacje na stronie mogą być nieaktualne'
    },
  },
  methods: {
    setOffline(dirty = true) {
      this.isOnline = window.navigator.onLine
      this.snackbarShow = dirty
    },
  },
  created() {
    this.setOffline(false)
    window.ononline = this.setOffline
    window.onoffline = this.setOffline
  },
  components: {
    NavBarBottom,
    NavBarTop,
  },
})
</script>

<style lang="scss">
.my-top-navbar {
  background: linear-gradient(to right, #e94253, #4e1758);
}
</style>
